[ruby-cvs:59240] sorah:r52089 (trunk): * ext/openssl/lib/openssl/ssl.rb: Revert r52082 because it was

sorah at ruby-lang.org sorah at ruby-lang.org
Fri Oct 9 14:20:50 JST 2015


sorah	2015-10-09 14:20:50 +0900 (Fri, 09 Oct 2015)

  New Revision: 52089

  http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=revision&revision=52089

  Log:
    * ext/openssl/lib/openssl/ssl.rb: Revert r52082 because it was
      dropping TLS v1.1 support too. Supporting only TLS v1.2 is too
      early, because many popular websites still don't support it.
    
      For instance, Servers where aws-sdk connects to still don't support
      TLS v1.2 and it became broken.
    
      We should consider more carefully about this.
    
      [Fix GH-873] [Feature #11524]

  Modified files:
    trunk/ChangeLog
    trunk/NEWS
    trunk/ext/openssl/lib/openssl/ssl.rb


More information about the ruby-cvs mailing list